<div class="card" style="width: 18rem;" on-mouseover='highLight1()' on-mouseleave='highLight2()'>
        <div class="card-body">
            <h5 class="card-title">{{name}}</h5>
            <p class="card-text">{{description}}</p>
        </div>
        <div class="card-body">
            <a href="#" class="card-link">{{category}}</a>
            <p class="card-text"><small class="text-muted" >Year {{expiringDate.year}} month {{expiringDate.month}} day {{expiringDate.day}}</small></p>
        </div>
    </div>
    <button on-mouseover='highLight1()' on-mouseleave='highLight2()' (click)="deletePost(post)" [style.height]='highlight ? "24px" : "0px"' type="button" class="delete-button btn-danger">Delete</button>